# Generated by go2rpm
%bcond_without check

# https://github.com/docker/spdystream
%global goipath         github.com/docker/spdystream
%global commit          6480d4af844c189cf5dd913db24ddd339d3a4f85

%gometa

%global common_description %{expand:
A multiplexed stream library using spdy.}

%global golicenses      LICENSE LICENSE.docs
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Version:        0
Release:        0.28%{?dist}
Summary:        Multiplexed stream library using spdy

# Upstream license specification: Apache-2.0 and CC-BY-SA-4.0
License:        ASL 2.0 and CC-BY-SA
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/gorilla/websocket)

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

# Remove in F33
# Remove erroneous glide.lock folder
%pretrans devel -p <lua>
path = "%{gopath}/src/%{goipath}/glide.lock"
st = posix.stat(path)
if st and st.type == "directory" then
  os.remove(path)
end

%if %{with check}
%check
# https://github.com/docker/spdystream/issues/74
%gocheck -d .
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 09 16:47:27 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.21.20190509git6480d4a
- Bump to commit 6480d4af844c189cf5dd913db24ddd339d3a4f85

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.19.gitb2c3287
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.17.gitb2c3287
- Upload glide files

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.16.20150615gitb2c3287
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gitb2c3287
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.gitb2c3287
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gitb2c3287
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.8.gitb2c3287
- Update to spec-2.1
  related: #1214600

* Fri Jul 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.7.gitb2c3287
- Update spec file to spec-2.0
  related: #1214600

* Sat Jul 25 2015 jchaloup <jchaloup@redhat.com> - 0-0.6.gitb2c3287
- Bump to upstream b2c3287865f3ad6aa22821ddb7b4692b896ac207
  resolves: #1246760

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git83ae67e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git83ae67e
- Bump to upstream 83ae67e694a4ab5cbaee4d3126f25118712b26e6
  resolves: #1196363

* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.gite731c8f
- Bump to upstream e731c8f9f19ffd7e51a469a2de1580c1dfbb4fae
  resolves: #1196363

* Tue Mar 03 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.gite9bf991
- Bump to upstream e9bf9912b85eec0ed6aaf317808a0eab25e3ca43
  resolves: #1196363

* Wed Feb 25 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git29e1da2
- First package for Fedora
  resolves: #1196363

